{# templates/list.jinja2 #}

    result = dict(comment=[], ret=[], result=True)

    {%  if function.hardcoded.boto3_function %}
    # TODO: Change function methods params if needed
    # TODO: Check boto3 documentation for request syntax: {{ function.hardcoded.boto3_documentation }}
    ret = await {{ function.hardcoded.boto3_function }}(
        ctx=ctx,
        {% if parameter.mapping.kwargs %}
        **{{ parameter.mapping.kwargs }}
        {%  endif -%}
    )
    {% else %}
    # TODO: Failed to determine LIST function
    # Read documentation: {{ function.hardcoded.boto3_documentation }}
    ret = {}
    {%  endif %}

    if not ret["result"]:
        result["comment"].append(ret["comment"])
        result["result"] = False
        return result

    if not ret["ret"].get("{{ function.hardcoded.response_key }}"):
        result["comment"].append(
            hub.tool.aws.comment_utils.list_empty_comment(
                resource_type="aws.{{ function.hardcoded.aws_service_name }}.{{ function.hardcoded.resource_name }}", name=None
            )
        )
        return result

    # Possible Resource attributes: {{ function.hardcoded.resource_attributes }}
    # TODO: Check boto3 documentation for the response: {{ function.hardcoded.boto3_documentation }}
    for resource in ret["ret"]["{{ function.hardcoded.response_key }}"]:
        result["ret"].append(await hub.tool.aws.{{ function.hardcoded.aws_service_name }}.{{ function.hardcoded.resource_name }}.convert_raw_resource_to_present_async(
            ctx=ctx,
            resource_id="TODO: map resource id to correct identifier",
            raw_resource=resource,
            idem_resource_name="TODO: map name to correct response param",
        ))
    return result
